Communication Service - List Keys

Liste Anahtarları
CommunicationService kaynağının erişim anahtarlarını alın.

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Communication/communicationServices/{communicationServiceName}/listKeys?api-version=2020-08-20

URI Parametreleri

Name İçinde Gerekli Tür Description
communicationServiceName
path True

string

minLength: 1
maxLength: 63
pattern: ^[-\w]+$

CommunicationService kaynağının adı.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

Kaynak grubunun adı. Ad büyük/küçük harfe duyarsız.

subscriptionId
path True

string

minLength: 1

Hedef aboneliğin kimliği.

api-version
query True

string

minLength: 1

Bu işlem için kullanılacak API sürümü.

Yanıtlar

Name Tür Description
200 OK

CommunicationServiceKeys

Başarı. Yanıt, CommunicationService erişim anahtarlarını açıklar.

Other Status Codes

ErrorResponse

İşlemin neden başarısız olduğunu açıklayan hata yanıtı.

Örnekler

List keys

Örnek isteği

POST https://management.azure.com/subscriptions/12345/resourceGroups/MyResourceGroup/providers/Microsoft.Communication/communicationServices/MyCommunicationResource/listKeys?api-version=2020-08-20

Örnek yanıt

{
  "primaryKey": "<primaryKey>",
  "secondaryKey": "<secondaryKey>"
}

Tanımlar

Name Description
CommunicationServiceKeys

CommunicationService'in erişim anahtarlarını temsil eden bir sınıf.

ErrorAdditionalInfo

Kaynak yönetimi hatası ek bilgileri.

ErrorDetail

Hata ayrıntısı.

ErrorResponse

Hata yanıtı

CommunicationServiceKeys

CommunicationService'in erişim anahtarlarını temsil eden bir sınıf.

Name Tür Description
primaryConnectionString

string

primaryKey aracılığıyla derlenen CommunicationService bağlantı dizesi

primaryKey

string

Birincil erişim anahtarı.

secondaryConnectionString

string

secondaryKey aracılığıyla derlenen CommunicationService bağlantı dizesi

secondaryKey

string

İkincil erişim anahtarı.

ErrorAdditionalInfo

Kaynak yönetimi hatası ek bilgileri.

Name Tür Description
info

object

Ek bilgiler.

type

string

Ek bilgi türü.

ErrorDetail

Hata ayrıntısı.

Name Tür Description
additionalInfo

ErrorAdditionalInfo[]

Hata ek bilgileri.

code

string

Hata kodu.

details

ErrorDetail[]

Hata ayrıntıları.

message

string

Hata iletisi.

target

string

Hata hedefi.

ErrorResponse

Hata yanıtı

Name Tür Description
error

ErrorDetail

Hata nesnesi.